Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.wih
Class ExternalTaskEventListener

    java.lang.Object
      org.jbpm.shared.services.impl.events.JbpmServicesEventListener<Task>
          org.jbpm.services.task.wih.ExternalTaskEventListener

All Implemented Interfaces:
  TaskLifeCycleEventListener

    @ApplicationScoped
    public class ExternalTaskEventListener

extends JbpmServicesEventListener<Task>
implements TaskLifeCycleEventListener

Constructor Summary
`ExternalTaskEventListener()`

Method Summary
`void` | `addMappedManger(String name, RuntimeManager manager)`
`void` | `afterTaskActivatedEvent(Task ti)`
`void` | `afterTaskAddedEvent(Task ti)`
`void` | `afterTaskClaimedEvent(Task ti)`
`void` | `afterTaskCompletedEvent(Task task)`
`void` | `afterTaskDelegatedEvent(Task ti)`
`void` | `afterTaskExitedEvent(Task ti)`
`void` | `afterTaskFailedEvent(Task task)`
`void` | `afterTaskForwardedEvent(Task ti)`
`void` | `afterTaskReleasedEvent(Task ti)`
`void` | `afterTaskResumedEvent(Task ti)`
`void` | `afterTaskSkippedEvent(Task task)`
`void` | `afterTaskStartedEvent(Task ti)`
`void` | `afterTaskStoppedEvent(Task ti)`
`void` | `afterTaskSuspendedEvent(Task ti)`
`RuntimeManager` | `getManager(Task task)`
`Map<String,RuntimeManager>` | `getMappedManagers()`
`RuntimeManager` | `getRuntimeManager()`
`void` | `processTaskState(Task task)`
`void` | `setMappedManagers(Map<String,RuntimeManager> mappedManagers)`
`void` | `setRuntimeManager(RuntimeManager runtimeManager)`

Methods inherited from class org.jbpm.shared.services.impl.events.JbpmServicesEventListener
`getObserverMethods`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalTaskEventListener

    public ExternalTaskEventListener()

Method Detail

### getRuntimeManager

    public RuntimeManager getRuntimeManager()

### setRuntimeManager

    public void setRuntimeManager(RuntimeManager runtimeManager)

### processTaskState

    public void processTaskState(Task task)

### afterTaskActivatedEvent

    public void afterTaskActivatedEvent(Task ti)

  Specified by:
    `afterTaskActivatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskClaimedEvent

    public void afterTaskClaimedEvent(Task ti)

  Specified by:
    `afterTaskClaimedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSkippedEvent

    public void afterTaskSkippedEvent(@Observes(notifyObserver=IF_EXISTS)
                                      Task task)

  Specified by:
    `afterTaskSkippedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskStartedEvent

    public void afterTaskStartedEvent(Task ti)

  Specified by:
    `afterTaskStartedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskStoppedEvent

    public void afterTaskStoppedEvent(Task ti)

  Specified by:
    `afterTaskStoppedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskCompletedEvent

    public void afterTaskCompletedEvent(@Observes(notifyObserver=IF_EXISTS)
                                        Task task)

  Specified by:
    `afterTaskCompletedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskFailedEvent

    public void afterTaskFailedEvent(@Observes(notifyObserver=IF_EXISTS)
                                     Task task)

  Specified by:
    `afterTaskFailedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskAddedEvent

    public void afterTaskAddedEvent(@Observes(notifyObserver=IF_EXISTS)
                                    Task ti)

  Specified by:
    `afterTaskAddedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskExitedEvent

    public void afterTaskExitedEvent(@Observes(notifyObserver=IF_EXISTS)
                                     Task ti)

  Specified by:
    `afterTaskExitedEvent` in interface `TaskLifeCycleEventListener`

### getManager

    public RuntimeManager getManager(Task task)

### getMappedManagers

    public Map<String,RuntimeManager> getMappedManagers()

### setMappedManagers

    public void setMappedManagers(Map<String,RuntimeManager> mappedManagers)

### addMappedManger

    public void addMappedManger(String name,
                                RuntimeManager manager)

### afterTaskReleasedEvent

    public void afterTaskReleasedEvent(@Observes(notifyObserver=IF_EXISTS)
                                       Task ti)

  Specified by:
    `afterTaskReleasedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskResumedEvent

    public void afterTaskResumedEvent(@Observes(notifyObserver=IF_EXISTS)
                                      Task ti)

  Specified by:
    `afterTaskResumedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSuspendedEvent

    public void afterTaskSuspendedEvent(@Observes(notifyObserver=IF_EXISTS)
                                        Task ti)

  Specified by:
    `afterTaskSuspendedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskForwardedEvent

    public void afterTaskForwardedEvent(@Observes(notifyObserver=IF_EXISTS)
                                        Task ti)

  Specified by:
    `afterTaskForwardedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskDelegatedEvent

    public void afterTaskDelegatedEvent(@Observes(notifyObserver=IF_EXISTS)
                                        Task ti)

  Specified by:
    `afterTaskDelegatedEvent` in interface `TaskLifeCycleEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.